# Role: docker

## Description

Install docker and it's configurations.

https://www.docker.com/

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.docker
  vars:
    ...
```

### Vars

`docker_max_concurrent_downloads`:

How many concurrent downloads to allow.

`docker_max_concurrent_uploads`:

How many concurrent uploads to allow.

`docker_max_download_attempts`:

How many downloads attempts to allow.

`docker_log_driver`:

Log driver.

`docker_metrics_addr`:

Metrics address.
